<div class="row bgcolor">
  <div class="col-md-12">
    <h3>Your Personal</h3>
  </div>
</div>
<div class="row">
  <div class="col-md-12">
    <form [formGroup]="yourPersonalForm">
      <div class="form-group">
        <label for="">Full Last Name</label>
        <input
          type="text"
          class="form-control"
          formControlName="lname"
          name="lname"
        />
        <div
          class="alert alert-danger text-center"
          *ngIf="lname.invalid && lname.touched"
        >
          Full Last Name Required
        </div>
      </div>

      <div class="form-group">
        <label for="">Full First Name</label>
        <input
          type="text"
          class="form-control"
          formControlName="fname"
          name="fname"
        />
        <div
          class="alert alert-danger text-center"
          *ngIf="fname.invalid && fname.touched"
        >
          Full First Name Required
        </div>
      </div>
      <div class="row pt-2">
        <div class="col-md-7">
          <div class="form-group d-flex">
            <label class="">DOB</label>
            <input
              type="date"
              class="form-control mx-3"
              formControlName="dob"
              name="dob"
            />
            <div
              class="alert alert-danger text-center"
              *ngIf="dob.invalid && dob.touched"
            >
              DOB Required
            </div>
          </div>
        </div>

        <div class="col-md-5 d-flex">
          <label for="">Gender</label>
          <div class="form-check mx-2">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              value="Male"
              formControlName="gender"
            />
            <label class="form-check-label" for="male"> Male </label>
          </div>
          <div class="form-check">
            <input
              class="form-check-input"
              type="radio"
              name="gender"
              value="Female"
              formControlName="gender"
            />
            <label class="form-check-label" for="Female"> Female </label>
          </div>
          <div
            class="alert alert-danger text-center"
            *ngIf="gender.invalid && gender.touched"
          >
            Gender Required
          </div>
        </div>
      </div>
      <div class="form-group">
        <label for="">Nationality</label>
        <input
          type="text"
          class="form-control"
          formControlName="nationality"
          name="nationality"
        />

        <div
          class="alert alert-danger text-center"
          *ngIf="nationality.invalid && nationality.touched"
        >
          Nationality Required
        </div>
      </div>
      <!-- <button
        class="btn btn-sm btn-danger mt-2"
        (click)="getData()"
        [disabled]="!yourPersonalForm.valid"
      >
        Submit
      </button> -->
    </form>
  </div>
</div>

<!-- <div class="row">
  <div class="col-md-12">
    <app-child-your-personal
      [selectedValue]="parentData"
    ></app-child-your-personal>
  </div>
</div> -->
